varying vec2 		texcoord;
uniform sampler2D 	tex,
					bump;
uniform vec2		ofs;
vec3 				normal;


void main()
{
	normal=texture2D(bump,texcoord*0.125 + ofs).xyz*2.0-1.0;
	vec2 UVred=texcoord.xy+normal.xy*0.016;
	vec2 UVgreen=texcoord.xy+normal.xy*0.025;
	vec2 UVblue=texcoord.xy+normal.xy*0.034;
	gl_FragColor.xyz = vec3(texture2D(tex,UVred).x,texture2D(tex,UVgreen).y,texture2D(tex,UVblue).z);
}
